Bug 6652 - wbsrv_samba3_pam_auth_crap fails to handle WBFLAG_PAM_INFO3_TEXT flag
wbsrv_samba3_pam_auth_crap fails to handle WBFLAG_PAM_INFO3_TEXT flag
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Kai Blin
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-20 03:46 UTC by Kai Blin
Modified: 2010-03-01 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Blin 2009-08-20 03:46:43 UTC
libwbclient's wbcAuthenticateUserEx call requests the INFO3 struct in text form. Samba4 winbind currently doesn't handle this.
Comment 1 Andrew Bartlett 2009-08-31 08:30:23 UTC
How do we need to handle this?  Is it needed to fix libwbclient or Samba4?
Comment 2 Kai Blin 2009-08-31 09:00:04 UTC
libwbclient needs this to fill out the info3 struct, as it has no way to decode an NDR-encoded info3 blob. This currently causes the failure in wbinfo -a against the S4 winbind.
Comment 3 Matthias Dieter Wallnöfer 2010-03-01 09:27:14 UTC
Should be fixed by 68e1991c6cfd34a6852c5be24259285c6214ea3c.